Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QSound

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QSound class reference

### Public Functions

- QSound ( const QString & filename, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QSound::QSound ( const QString & filename, QObject * parent, const char * name )

Constructs a QSound that can quickly play the sound in a file named filename.

This may use more memory than the static `play` function.

The parent and name arguments (default 0) are passed on to the QObject constructor.